<?php

/*
 * Created on 19.12.2019
 * HomePage: https://xentr.net
 * Copyright (c) 2019 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */
 
namespace XENTR\TPM\Cron;

class TPM
{
	public static function runGenerateTPM()
	{
        $monthNow = date("n", \XF::$time);
        $yearNow = date("Y", \XF::$time);

        $endData = gmmktime(0,0,0,$monthNow - 1,1, $yearNow);

        $lastMonth = date("n", $endData);
        $lastYear = date("Y", $endData);

        $topPostersSql = \XENTR\TPM\Util\Helper::getTPMSql(0, 1, $monthNow, $yearNow);
        $topPosters = \XF::db()->fetchAll($topPostersSql);

        if($topPosters)
        {
            $topPosters = $topPosters[0];
        }

        $lastTopPostersSql = \XENTR\TPM\Util\Helper::getTPMSql(0, 1, $lastMonth, $lastYear);
        $lastTopPosters = \XF::db()->fetchAll($lastTopPostersSql);

        if($lastTopPosters)
        {
            $lastTopPosters = $lastTopPosters[0];
        }

        $sympleCache = \XF::app()->simpleCache();
        $sympleCache->setValue('XENTR/TPM', 'tpm', ['now' => $topPosters, 'last' => $lastTopPosters]);
    }
}